lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'fluxx/version'

Gem::Specification.new do |spec|
  spec.name          = 'fluxx'
  spec.version       = Fluxx::VERSION
  spec.authors       = ['Stas SUȘCOV', 'ImpactMapper Team']
  spec.email         = ['stas@nerd.ro']

  spec.summary       = 'Fluxx.io V2 API wrapper.'
  spec.description   = 'This a simple SDK for the Fluxx.io V2 API'
  spec.homepage      = 'https://github.com/impactmapper/fluxx'
  spec.license       = 'MIT'

  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(spec)/}) }
  end
  spec.require_paths = ['lib']

  spec.add_dependency 'http-rest_client'

  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'ffaker'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rubocop-performance'
  spec.add_development_dependency 'rubocop-rspec'
  spec.add_development_dependency 'simplecov'
  spec.add_development_dependency 'vcr'
  spec.add_development_dependency 'webmock'
  spec.add_development_dependency 'yardstick'
end
